Page MenuHomePhabricator

Allow the same filtering on Special:NewFiles as on Special:NewPages (by tags, username)
Closed, ResolvedPublic

Description

Allow the same filtering on Special:NewFiles as on Special:NewPages.

Related Objects

StatusAssignedTask
Resolvedmatthiasmullie
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedmatthiasmullie
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
ResolvedCenarium
ResolvedCenarium
Resolvedmatthiasmullie
ResolvedMarostegui
OpenNone
Resolvedmatthiasmullie
Resolvedmatmarex
OpenNone
OpenNone
OpenMarkTraceur
Openeranroz
ResolvedSamwilson
OpenNone

Event Timeline

matmarex created this task.Dec 18 2015, 4:02 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 18 2015, 4:02 PM
matmarex renamed this task from Allow the same filtering on Special:NewFiles as on Special:NewPages to Allow the same filtering on Special:NewFiles as on Special:NewPages (by tags, username).Dec 18 2015, 4:37 PM
matmarex set Security to None.
matmarex triaged this task as Normal priority.Dec 22 2015, 7:46 PM

I was originally thinking that we could do this by reusing a lot of Special:NewPages code, but I looked into it and that won't actually work. Pretty much everything is different on the inside (other than generating a list of things). We have different needs for the rendering, and we have different queries (we're querying logs rather than page revisions, to start with). So I'll just have to reimplement the bits that make sense.

matmarex removed matmarex as the assignee of this task.Feb 10 2016, 1:56 AM

Change 289547 had a related patch set uploaded (by Sethakill):
[WIP] Convert Special:NewFiles to use OOUI.

https://gerrit.wikimedia.org/r/289547

Change 341766 had a related patch set uploaded (by Matthias Mullie):
[mediawiki/core] Allow filtering by username on Special:NewFiles

https://gerrit.wikimedia.org/r/341766

Change 341766 merged by jenkins-bot:
[mediawiki/core@master] Allow filtering by username on Special:NewFiles

https://gerrit.wikimedia.org/r/341766

matthiasmullie closed this task as Resolved.Jun 27 2017, 2:00 PM

I'll close this task since username-based filtering has been added, and there is another ticket for tags: T124214